Docs
Update Constraint
PUT /constraints/{constraintId}
PUT
/constraints/{constraintId}Replaces a constraint's name, description, type, status (Active or Resolved) and tasks, with the same rules as ProjectManagement_AddConstraint. The constraint id comes from ProjectManagement_GetConstraints; needs an event token and the event project management admin permission.
Path Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| constraintId | uuid | Required |
Request Body
| Field | Type | Required | Description |
|---|---|---|---|
| name | string | Optional | |
| description | string | Optional | |
| type | string | Optional | |
| status | string | Optional | |
| constrainedByTaskId | uuid | Optional | |
| constrainedTaskIds | uuid[] | Optional |